with Pointf;

procedure test_valuetype_array is
   Z : Pointf.Valuetype_Array(0..5);
   x : boolean;
begin
   for I in Z'range loop
      Z(I) := Pointf.New_Pointf(5.0,5.0);
   end loop;
   x := pointf.test(z);
end test_valuetype_array;